#include <unistd.h>
#include <sys/types.h>
#include <stdio.h>
//Simple program that is called from the gui that forks off 2 child processes
//1 is the atomview display program
//2 is the navigation gui that goes with the display program
int main(int argc, char* argv[], char** env)
{
	//Create the first child
	int pid = fork();
	if (pid == 0)
	{
		printf("Starting atom view\n");
		//Start up atomview's display segment
		char* Arg1[4];
		Arg1[0] = "atomstarter";
		//the file information paramater
		Arg1[1] = argv[1];
		//Necessary null terminator
		Arg1[3] = NULL;
		//If we have a color paramater send it
		//otherwise send null
		if (argc == 3)
			Arg1[2] = argv[2];
		else
			Arg1[2] = NULL;
		//Start atomview
		execve(Arg1[0], Arg1, env);
	}
	else
	{
		//Create the second child
		int pid2=fork();
		if (pid2 == 0)
		{
			//Start the navigation gui
			char* Arg2[2];
			Arg2[0]="navgui";
			Arg2[1]=NULL;
			//Wait so everything is started right
			sleep(2);
			execve(Arg2[0], Arg2, env);
		}
	}
}
